package com.chenyang.nse.bussiness.kms.config;

import org.springframework.boot.context.properties.ConfigurationProperties;

@ConfigurationProperties(
   prefix = "httpclient"
)
public class HttpClientProperties {
   private int maxConnTotal = 100;
   private int connectionRequestTimeout = 60000;
   private int connectTimeout = 10000;
   private int socketTimeout = 30000;

   public int getMaxConnTotal() {
      return this.maxConnTotal;
   }

   public void setMaxConnTotal(int maxConnTotal) {
      this.maxConnTotal = maxConnTotal;
   }

   public int getConnectionRequestTimeout() {
      return this.connectionRequestTimeout;
   }

   public void setConnectionRequestTimeout(int connectionRequestTimeout) {
      this.connectionRequestTimeout = connectionRequestTimeout;
   }

   public int getConnectTimeout() {
      return this.connectTimeout;
   }

   public void setConnectTimeout(int connectTimeout) {
      this.connectTimeout = connectTimeout;
   }

   public int getSocketTimeout() {
      return this.socketTimeout;
   }

   public void setSocketTimeout(int socketTimeout) {
      this.socketTimeout = socketTimeout;
   }
}
